import Vue from 'vue'
import Vuex from 'vuex'
/**
 * [ Store ]
 */
import actions from '@/store/actions'
// import getters from '@/store/getters'
// import mutations from '@/store/mutations'
// import state from '@/store/state'

/**
 * [ Modules]
 */
import paymentsPurchasesDate from '@/store/modules/PaymentsPurchasesDate'
import paymentsPurchasesUser from '@/store/modules/PaymentsPurchasesUser'
import paymentsPurchasesSupplier from '@/store/modules/PaymentsPurchasesSupplier'
import paymentsPurchasesJournals from '@/store/modules/PaymentsPurchasesJournals'
import paymentsPurchasesCurrencies from '@/store/modules/PaymentsPurchasesCurrencies'
import supplierInvoices from '@/store/modules/SupplierInvoices'
import SupplierMoveLines from '@/store/modules/SupplierMoveLines'
import supplierPayments from '@/store/modules/supplierPayments'


Vue.use(Vuex)

const store = new Vuex.Store({
    actions,
    modules: {
        paymentsPurchasesDate,
        paymentsPurchasesUser,
        paymentsPurchasesSupplier,
        paymentsPurchasesJournals,
        paymentsPurchasesCurrencies,
        supplierInvoices,
        SupplierMoveLines,
        supplierPayments
    }
})

export default store
