import { INIT_PAYMENTS_PURCHASES_CURRENCIES } from '@/constants/actionTypes'
import { SET_CURRENCIES,  SET_LOADING_CURRENCIES }from '@/constants/mutationTypes'

const initialState = {
    currency: [],
    loadingCurrency: false
}

const state = {
    currency: initialState.currency,
    loadingCurrency: initialState.loadingCurrency
}

const getters = {
    /**
     * [currency description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    currency ( state ) {
        return state.currency
    },
    /**
     * [loadingCurrency description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingCurrency ( state ) {
        return state.loadingCurrency
    }
}

const mutations = {
    [SET_CURRENCIES] ( state, payload ){
        state.currency = payload
    },
    [SET_LOADING_CURRENCIES] ( state, payload ) {
        state.loadingCurrency = !!payload
    }
}

const actions = {
    [INIT_PAYMENTS_PURCHASES_CURRENCIES] ({ commit }, payload) {
        commit(SET_CURRENCIES, payload)
        commit(SET_LOADING_CURRENCIES, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
