import { INIT_PAYMENTS_PURCHASES_DATE } from '@/constants/actionTypes'
import { SET_DATE, SET_LOADING_DATE } from '@/constants/mutationTypes'

const initialState = {
    date: null,
    loadingDate: false
}

const state = {
    date: initialState.date,
    loadingDate: initialState.loadingDate
}

const getters = {
    /**
     * [date description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    date (state) {
        return state.date
    },
    /**
     * [loadingDate description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingDate (state) {
        return state.loadingDate
    }
}

const mutations = {
    /**
     * [date description]
     * @type {[type]}
     */
    [SET_DATE] (state, payload) {
        state.date = payload
    },
    /**
     * [loadingDate description]
     * @type {[type]}
     */
    [SET_LOADING_DATE] (state, payload) {
        state.loadingDate = !!payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_DATE]
     */
    [INIT_PAYMENTS_PURCHASES_DATE] ({ commit }, payload) {
        commit(SET_DATE, payload)
        commit(SET_LOADING_DATE, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
