import { INIT_PAYMENTS_PURCHASES_USER } from '@/constants/actionTypes'
import { SET_USER, SET_LOADING_USER } from '@/constants/mutationTypes'

const initialState = {
    user: [],
    loadingUser: false
}

const state = {
    user: initialState.user,
    loadingUser: initialState.loadingUser
}

const getters = {
    /**
     * [user description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    user (state) {
        return state.user
    },
    /**
     * [loadingUser description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingUser (state) {
        return state.loadingUser
    }
}

const mutations = {
    /**
     * [user description]
     * @type {[type]}
     */
    [SET_USER] (state, payload) {
        state.user = payload
    },
    /**
     * [loadingUser description]
     * @type {[type]}
     */
    [SET_LOADING_USER] (state, payload) {
        state.loadingUser = !!payload
    }
}

const actions = {
    [INIT_PAYMENTS_PURCHASES_USER] ({ commit }, payload) {
        commit(SET_USER, payload)
        commit(SET_LOADING_USER, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
